Live pod state with usage totals
GET
/deployments/{id}/pods-live
const url = 'https://example.com/deployments/example/pods-live';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/deployments/example/pods-live \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: read)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
availableReplicas
required
number
pods
required
Array<object>
object
containers
Array<object>
object
image
string | null
init
boolean
lastTermination
object
exitCode
number | null
finishedAt
string | null
reason
required
string | null
key
additional properties
message
string | null
name
required
string
ready
boolean
reason
string | null
restartCount
number
startedAt
string | null
state
string
key
additional properties
cpuUsage
number | null
createdAt
string | null
deletingAt
string | null
disruption
string | null
graceSeconds
number | null
id
string
ip
string | null
memoryUsage
number | null
name
required
string
nodeName
string | null
notReadySince
string | null
phase
string | null
podIp
string | null
probes
object
liveness
required
boolean
readiness
required
boolean
startup
required
boolean
readySince
string | null
reason
string | null
restartCount
number
revision
string | null
scheduled
boolean
schedulingMessage
string | null
slot
string | null
startTime
string | null
status
required
string
unschedulableSince
string | null
key
additional properties
rollout
object
available
required
number
currentRevision
required
string | null
desired
required
number
previous
object
createdAt
required
string | null
hash
required
string
image
required
string | null
number
required
number
ready
required
number
replicas
required
number
ready
required
number
reason
required
string | null
revisions
required
Array<object>
object
createdAt
required
string | null
hash
required
string
image
required
string | null
number
required
number
ready
required
number
replicas
required
number
state
required
string
updated
required
number
totalCpuUsage
required
number | null
totalMemoryUsage
required
number | null
warnings
required
Array<object>
object
message
string
podName
string
timestamp
string
key
additional properties
key
additional properties
Example
{ "pods": [ { "containers": [ { "state": "running" } ] } ], "rollout": { "state": "stable" }}